Skip to main content
GET
/
v1
/
channel
/
attribute
/
global
Get Global Attributes
curl --request GET \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/attribute/global \
  --header 'Authorization: Bearer <token>'
{
  "attributeListVersion": "2019060115430",
  "attributeList": [
    {
      "attributeId": "12323",
      "displayName": "Brand",
      "isMultipleAllowed": false,
      "type": "text",
      "values": [
        {
          "value": "Beer"
        },
        {
          "value": "Tee",
          "display": "Wine"
        }
      ],
      "attributeValueValidation": "/^[0-9]{13}$/",
      "conditionalMandatoryBy": [
        {
          "attributeId": "12323",
          "attributeValues": [
            "High"
          ]
        }
      ],
      "conditionalOptionalBy": [
        {
          "attributeId": "12323",
          "attributeValues": [
            "No Frame"
          ]
        }
      ],
      "required": true,
      "recommended": false,
      "section": "Colors and Appearance",
      "sectionPosition": 0,
      "isRepeatableSubSection": true,
      "subSection": "Length",
      "subSectionPosition": 0,
      "description": null,
      "isVariationDimension": true,
      "enumValues": [
        "Blue"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Response

Attribute list retrieved

Versioned list of attribute definitions published by the channel.

attributeListVersion
string
Example:

"2019060115430"

attributeList
object[]